# Poco

# class ActiveRunnableBase

Library: Foundation
Package: Threading
Header: Poco/ActiveRunnable.h

## Description

The base class for all ActiveRunnable instantiations.

## Inheritance

Direct Base Classes: Runnable, RefCountedObject

All Base Classes: RefCountedObject, Runnable

Known Derived Classes: ActiveRunnable

## Member Summary

Inherited Functions: duplicate, referenceCount, release, run

## Types

### Ptr

typedef AutoPtr < ActiveRunnableBase > Ptr;